Skip to Content
SeyloDocs

Get the GitHub connection

GET
/api/v1/github.status

Returns the panel's GitHub App (null before it is created), the webhook URL GitHub calls, and the device-flow GitHub account used to clone private repos, if one is connected.

Any signed-in caller. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Response Body

Success.

application/json
  1. response
app*|null
webhookUrl*string|null
deviceFlowAvailable*boolean
deviceAccount*|null
Example Request
curl -X GET 'https://example.com/api/v1/github.status'
Example Response
{  "app": {    "id": "string",    "appId": 0,    "slug": "string",    "name": "string",    "ownerLogin": "string",    "htmlUrl": "string",    "installUrl": "string",    "createdAt": "2019-08-24T14:15:22Z"  },  "webhookUrl": "string",  "deviceFlowAvailable": true,  "deviceAccount": {    "login": "string",    "scopes": [      "string"    ],    "gitCredentialId": "string",    "connectedAt": "2019-08-24T14:15:22Z"  }}